commit:     d1ac19fd9458d60493f13daf7f58ff57856dbb2f
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 25 18:17:17 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Mar 25 18:18:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1ac19fd

Partially revert "x11-plugins/enigmail: security cleanup (bug #706134)"

www-client/seamonkey only supports <=x11-plugins/enigmail-2.1.0.

Bug: https://bugs.gentoo.org/706134
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 x11-plugins/enigmail/Manifest                      |  1 +
 x11-plugins/enigmail/enigmail-2.0.12-r1.ebuild     | 84 ++++++++++++++++++++++
 .../enigmail-2.0.12-enable_seamonkey_support.patch | 20 ++++++
 3 files changed, 105 insertions(+)

diff --git a/x11-plugins/enigmail/Manifest b/x11-plugins/enigmail/Manifest
index 56484559736..02a6fd22192 100644
--- a/x11-plugins/enigmail/Manifest
+++ b/x11-plugins/enigmail/Manifest
@@ -1 +1,2 @@
+DIST enigmail-2.0.12.tar.gz 2614589 BLAKE2B 
3db6f595c14e02cfdc71bebc763d05926dc6e0abf4668d132fd0ce43204e681de5fce45db752c4f49b231bd7e217b75c0f23d4a7e204fa9a3a51f1c8097fb63d
 SHA512 
f9f4f1ed4c7244280be2fade0ccb2f4b5e7075dd60f53953478ffb84012e687b7ac7bad489c0b0cb2d8937916c783fe9e1841174bf1e5bdb9ab8cb58b415db74
 DIST enigmail-2.1.5.tar.gz 2838286 BLAKE2B 
e86a340a916a7ac7ef39230e5bb5730198b672ab6c466db5085aa8a818da38e3681a6f22810355db986978c7d547ae50f6d70260a3ccdc9758861d03f3c4e5d5
 SHA512 
0ed104306ee998b368d4a5779c2daf7c20a112c9a37f357bbe10d8c64dd435448c71e83a0e1a1dc9eb10efcf654b1524676f2b490bf6a065e6dd66de0861baea

diff --git a/x11-plugins/enigmail/enigmail-2.0.12-r1.ebuild 
b/x11-plugins/enigmail/enigmail-2.0.12-r1.ebuild
new file mode 100644
index 00000000000..be2ff9a0c6a
--- /dev/null
+++ b/x11-plugins/enigmail/enigmail-2.0.12-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-any-r1
+
+DESCRIPTION="Mozilla extension to provide GPG support in mail clients"
+HOMEPAGE="https://www.enigmail.net/";
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-3"
+IUSE=""
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.code.sf.net/p/enigmail/source";
+       S="${WORKDIR}/${P}"
+else
+       if [[ ${PV} = *_beta* ]] ; then
+               SRC_URI="https://www.enigmail.net/download/beta/${P/_/-}.tar.gz";
+       else
+               SRC_URI="https://www.enigmail.net/download/source/${P}.tar.gz";
+               KEYWORDS="~alpha amd64 ~arm ppc ppc64 x86 ~amd64-linux 
~x86-linux"
+       fi
+       S="${WORKDIR}/${PN}"
+fi
+
+RDEPEND="
+       ( >=app-crypt/gnupg-2.0
+               || (
+                       app-crypt/pinentry[gtk(-)]
+                       app-crypt/pinentry[qt5(-)]
+               )
+       )
+       !<mail-client/thunderbird-52.5.0
+"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       app-arch/zip
+       dev-lang/perl
+       "
+
+PATCHES=(
+       "${FILESDIR}"/enigmail-no_pEp_auto_download.patch
+       "${FILESDIR}/${PN}-2.0.12-enable_seamonkey_support.patch"
+)
+
+src_compile() {
+       emake ipc public ui package lang stdlib
+       emake xpi
+
+}
+
+src_install() {
+       local emid=$(sed -n '/<em:id>/!d; s/.*\({.*}\).*/\1/; p; q' 
build/dist/install.rdf)
+       [[ -n ${emid} ]] || die "Could not scrape EM:ID from install.rdf"
+
+       mv build/enigmail*.xpi build/"${emid}.xpi" || die 'Could not rename XPI 
to match EM:ID'
+
+       # thunderbird
+       insinto 
"/usr/share/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}"
+       doins build/"${emid}.xpi"
+
+       # seamonkey
+       insinto 
"/usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+       doins build/"${emid}.xpi"
+}
+
+pkg_postinst() {
+       local peimpl=$(eselect --brief --colour=no pinentry show)
+       case "${peimpl}" in
+       *gtk*|*qt*) ;;
+       *)      ewarn "The pinentry front-end currently selected is not one 
supported by thunderbird."
+               ewarn "You may be prompted for your password in an inaccessible 
shell!!"
+               ewarn "Please use 'eselect pinentry' to select either the gtk 
or qt front-end"
+               ;;
+       esac
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               elog
+               elog "Please restart thunderbird and/or seamonkey in order for 
them to use"
+               elog "the newly installed version of enigmail."
+       fi
+}

diff --git 
a/x11-plugins/enigmail/files/enigmail-2.0.12-enable_seamonkey_support.patch 
b/x11-plugins/enigmail/files/enigmail-2.0.12-enable_seamonkey_support.patch
new file mode 100644
index 00000000000..11d9702eb97
--- /dev/null
+++ b/x11-plugins/enigmail/files/enigmail-2.0.12-enable_seamonkey_support.patch
@@ -0,0 +1,20 @@
+--- enigmail/package/install.rdf
++++ enigmail/package/install.rdf
+@@ -19,14 +19,14 @@
+         <em:maxVersion>60.*</em:maxVersion>
+       </Description>
+     </em:targetApplication>
+-    <!--em:targetApplication>
+-      < ! - - Seamonkey is no longer supported - - >
++    <em:targetApplication>
++      <!-- Seamonkey -->
+       <Description>
+         <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
+         <em:minVersion>2.49</em:minVersion>
+         <em:maxVersion>2.57</em:maxVersion>
+       </Description>
+-    </em:targetApplication -->
++    </em:targetApplication>
+ 
+     <!-- Front End MetaData -->
+     <em:name>Enigmail</em:name>

Reply via email to